r18171 - gnucash/trunk/packaging/win32 - Fix (I hope) installation of libpq
Phil Longstaff
plongstaff at code.gnucash.org
Fri Jul 3 12:16:11 EDT 2009
Author: plongstaff
Date: 2009-07-03 12:16:11 -0400 (Fri, 03 Jul 2009)
New Revision: 18171
Trac: http://svn.gnucash.org/trac/changeset/18171
Modified:
gnucash/trunk/packaging/win32/install.sh
Log:
Fix (I hope) installation of libpq
Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh 2009-07-03 12:57:34 UTC (rev 18170)
+++ gnucash/trunk/packaging/win32/install.sh 2009-07-03 16:16:11 UTC (rev 18171)
@@ -1075,12 +1075,13 @@
test -f ${_MYSQL_LIB_UDIR}/lib/libmysql.dll || die "mysql not installed correctly - libmysql.dll"
test -f ${_MYSQL_LIB_UDIR}/lib/libmysqlclient.a || die "mysql not installed correctly - libmysqlclient.a"
fi
- if test -f ${_PSQL_LIB_UDIR}/lib/libpqsql.dll
+ if test -f ${_PGSQL_UDIR}/lib/libpq.dll
then
echo "PGSQL library already installed. skipping."
else
wget_unpacked $PGSQL_LIB_URL $DOWNLOAD_DIR $TMP_DIR
mv $TMP_UDIR/pgsql* $PGSQL_DIR
+ test -f ${_PGSQL_UDIR}/lib/libpq.dll || die "libpq not installed correctly"
fi
if test -f ${_LIBDBI_UDIR}/bin/libdbi-0.dll
then
More information about the gnucash-changes
mailing list